Download it now!
Bug 63607 - Cut Paste Undo loses conditional format
Summary: Cut Paste Undo loses conditional format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-16 13:53 UTC by Steve
Modified: 2013-05-09 23:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve 2013-04-16 13:53:29 UTC
Simplest form to reproduce

New Spreadsheet

Conditional Format cell if 0 Heading 1

Enter 0 in cell

Cut cell and paste elsewhere

Undo x 2 

Result loss of conditional formatting
Comment 1 Rainer Bielefeld Retired 2013-04-16 15:20:09 UTC
[Reproducible] with  "LibreOffice 3.6.6.2 release " German UI/ German Locale [Build-ID: f969faf] {pull date 2013-04-03} on German WIN7 Home Premium (64bit) 

Still [Reproducible] with parallel Dev-installation of  "Version 4.1.0.0.alpha0+ (Build ID: 049ce78144650d92eb6bd73292868f73d37c901) TinderBox: Win-x86@6, Branch:master, Pull Time: 2013-03-29_23:59:42" ENGLISH UI / German Locale on German WIN7 Home Premium (64bit) with LODev/4 Masters User Profile 

I first thought this might be a DUP of "Bug 58509 - FORMATTING: Changes to existing conditional formatting are not recorded in the undo list", but that one should have been fixed with Bug 57661 

@Steve
Your instruction is quite ok, contains everything what's required and no word more. But of course we need to know the LibO version with what you observed the problem. <http://wiki.documentfoundation.org/BugReport_Details#Version>

@Markus
This one is so simple that I can't believe that I do not find a DUP. Please change  Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 2 Steve 2013-04-17 01:26:10 UTC
Thought had it as Version 4.0.1.2 
Build ID: 84102822e3d61eb989ddd325abf1ac077904985

Not sure if my clicking or elsewhere got it to 3.6.6.2

The bug was not present in LibreOffice 3.5.6.2 
Build ID: e0fbe70-5879838-a0745b0-0cd1158-638b327
Comment 3 Commit Notification 2013-04-22 09:02:38 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0216d0e1ff84ae8ebab3d40bf69bae605264e82b

copy conditional formats correctly, fdo#63607



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Steve 2013-05-01 09:33:46 UTC
Tested under Version 4.0.4.0+ (Build ID: 7ab63a1eff3ca8391dd1974cc0cf2b4c7ebb527) using my end of month activities, which involves a lot of cut, copy, paste and undo's between sheets. This bug resolved. 

There remains one unexpected behavior (/paste special/ excluding formats clears the existing format in destination). I'll scan the existing bugs and report that as seems unrelated to this - bug 61946 probably same will research further.
Comment 5 Markus Mohrhard 2013-05-09 22:05:02 UTC
The problem with paste special has been fixed as Bug 62267
Comment 6 Steve 2013-05-09 23:04:26 UTC
Yes what I was subsequently experiencing with the cleared conditional format was bug 62267, the format paintbrush or simply a copy paste of the format lost cells returned the format.

Thanks for your hard work Markus